<?php
$routes->group(
	'cms-plataformas', 
	[
		'namespace' => 'Modules\Cms_plataformas\Controllers', 
		'filter' 		=> 'CheckAccessPermission'
	], 
	function ($routes) {
		$routes->get('/', 'Cms_plataformas::listagem');

		$routes->match(['get', 'post'], 'novo-cadastro', 'Cms_plataformas::cadastrar');
		$routes->post('cadastrando', 'Cms_plataformas::cadastrando');
		
		$routes->match(['get', 'post'], 'alterando-cadastro/(:any)', 'Cms_plataformas::alterar/$1');
		$routes->post('atualizando-cadastro/(:any)', 'Cms_plataformas::alterando/$1');
		
		$routes->get('deletando-cadastro/(:any)', 'Cms_plataformas::deletar/$1');
	}
);